org.apache.solr.response.transform

## Class ExplainAugmenterFactory

- java.lang.Object
- - org.apache.solr.response.transform.TransformerFactory
  - - org.apache.solr.response.transform.ExplainAugmenterFactory

- All Implemented Interfaces:
    NamedListInitializedPlugin

      public class ExplainAugmenterFactory
      extends TransformerFactory

  Since:
    solr 4.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExplainAugmenterFactory.Style`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ExplainAugmenterFactory.Style` | `defaultStyle`

    - ### Fields inherited from class org.apache.solr.response.transform.TransformerFactory

      `defaultFactories, defaultUserArgs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExplainAugmenterFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocTransformer` | `create(String field, SolrParams params, SolrQueryRequest req)`
    `static ExplainAugmenterFactory.Style` | `getStyle(String str)`
    `void` | `init(NamedList args)`
    `static String` | `toHtml(Explanation explanation)` Render an explanation as HTML.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultStyle

          protected ExplainAugmenterFactory.Style defaultStyle

  - ### Constructor Detail

    - #### ExplainAugmenterFactory

          public ExplainAugmenterFactory()

  - ### Method Detail

    - #### init

          public void init(NamedList args)

      Specified by:
        `init` in interface `NamedListInitializedPlugin`
      Overrides:
        `init` in class `TransformerFactory`

    - #### getStyle

          public static ExplainAugmenterFactory.Style getStyle(String str)

    - #### create

          public DocTransformer create(String field,
                                       SolrParams params,
                                       SolrQueryRequest req)

      Specified by:
        `create` in class `TransformerFactory`

    - #### toHtml

          public static String toHtml(Explanation explanation)

      Render an explanation as HTML.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.